# Uses of Interface
org.eclipse.emf.cdo.common.lock.CDOLockChangeInfo

Packages that use CDOLockChangeInfo
Package
Description
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock that return CDOLockChangeInfo
Modifier and Type
Method
Description
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo()`
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOCommonView view, CDOBranch viewedBranch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOLockOwner lockOwner, CDOBranch branch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(CDOBranchPoint branchPoint, CDOLockOwner lockOwner, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates)`
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(CDOBranchPoint branchPoint, CDOLockOwner lockOwner, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates, boolean isAdministrative)`
Methods in org.eclipse.emf.cdo.common.lock with parameters of type CDOLockChangeInfo
Modifier and Type
Method
Description
`void`
CDOLockChangeInfoHandler.`handleLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOLockChangeInfo
Modifier and Type
Method
Description
`CDOLockChangeInfo`
CDOProtocol.CommitNotificationInfo.`getLockChangeInfo()`
`CDOLockChangeInfo`
CDODataInput.`readCDOLockChangeInfo()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOLockChangeInfo
Modifier and Type
Method
Description
`void`
CDOProtocol.CommitNotificationInfo.`setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
`void`
CDODataOutput.`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
`void`
CDODataOutput.`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.session

Subinterfaces of CDOLockChangeInfo in org.eclipse.emf.cdo.session
Modifier and Type
Interface
Description
`interface`
`CDOSessionLocksChangedEvent`
A `session event` fired when lock-change notifications are received from a remote repository.

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.spi.common.lock

Classes in org.eclipse.emf.cdo.spi.common.lock that implement CDOLockChangeInfo
Modifier and Type
Class
Description
`class`
`AbstractCDOLockChangeInfo`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOLockChangeInfo
Modifier and Type
Method
Description
`CDOLockChangeInfo`
CDODataInputImpl.`readCDOLockChangeInfo()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOLockChangeInfo
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
`void`
CDODataOutputImpl.`writeCDOLockChangeInfo(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOLockChangeInfo
Modifier and Type
Method
Description
`void`
InternalSession.`sendLockNotification(CDOLockChangeInfo lockChangeInfo)`
`void`
InternalSessionManager.`sendLockNotification(InternalSession sender, CDOLockChangeInfo lockChangeInfo)`
`void`
ISessionProtocol.`sendLockNotification(CDOLockChangeInfo lockChangeInfo)`
Deprecated.
As of 4.11 use `ISessionProtocol.sendLockNotification(CDOLockChangeInfo, Set)`.
`void`
ISessionProtocol.`sendLockNotification(CDOLockChangeInfo lockChangeInfo, Set<CDOID> filter)`

## Uses of CDOLockChangeInfo in org.eclipse.emf.cdo.view

Subinterfaces of CDOLockChangeInfo in org.eclipse.emf.cdo.view
Modifier and Type
Interface
Description
`interface`
`CDOViewLocksChangedEvent`
A `view event` fired when `lock changes` are being received from a remote repository.

## Uses of CDOLockChangeInfo in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOLockChangeInfo
Modifier and Type
Method
Description
`CDOLockChangeInfo`
InternalCDOSession.InvalidationData.`getLockChangeInfo()`
`CDOLockChangeInfo`
InternalCDOView.ViewInvalidationData.`getLockChangeInfo()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOLockChangeInfo
Modifier and Type
Method
Description
`void`
InternalCDOSession.`handleLockNotification(CDOLockChangeInfo lockChangeInfo, InternalCDOView sender)`
Deprecated.
As of 4.12 use `InternalCDOSession.handleLockNotification(CDOLockChangeInfo, InternalCDOView, boolean)`.
`void`
InternalCDOSession.`handleLockNotification(CDOLockChangeInfo lockChangeInfo, InternalCDOView sender, boolean async)`
`void`
InternalCDOView.`handleLockNotification(InternalCDOView sender, CDOLockChangeInfo lockChangeInfo)`
`void`
InternalCDOSession.InvalidationData.`setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
`void`
InternalCDOView.ViewInvalidationData.`setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`